From 2a29ad0ba7b3253aa97ebdb0b9a28dfbdd43b773 Mon Sep 17 00:00:00 2001
From: Jarbowski <jarbowski@cock.lu>
Date: Tue, 9 Jul 2019 20:09:39 +0200
Subject: [PATCH] New package: rtl8822bu-dkms-20190427

---
 srcpkgs/rtl8822bu-dkms/files/dkms.conf | 11 +++++++++++
 srcpkgs/rtl8822bu-dkms/template        | 27 ++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)
 create mode 100644 srcpkgs/rtl8822bu-dkms/files/dkms.conf
 create mode 100644 srcpkgs/rtl8822bu-dkms/template

diff --git a/srcpkgs/rtl8822bu-dkms/files/dkms.conf b/srcpkgs/rtl8822bu-dkms/files/dkms.conf
new file mode 100644
index 00000000000..3156be8132b
--- /dev/null
+++ b/srcpkgs/rtl8822bu-dkms/files/dkms.conf
@@ -0,0 +1,11 @@
+PACKAGE_NAME="rtl8822bu"
+PACKAGE_VERSION="@VERSION@"
+BUILT_MODULE_NAME="88x2bu"
+PROCS_NUM=$(nproc)
+[ $PROCS_NUM -gt 16 ] && PROCS_NUM=16
+MAKE="'make' -j$PROCS_NUM KVER=${kernelver} 
+KSRC=/lib/modules/${kernelver}/build"
+CLEAN="make clean"
+DEST_MODULE_LOCATION="/kernel/drivers/net/wireless"
+AUTOINSTALL="yes"
+REMAKE_INITRD=no
diff --git a/srcpkgs/rtl8822bu-dkms/template b/srcpkgs/rtl8822bu-dkms/template
new file mode 100644
index 00000000000..35bb1ec384f
--- /dev/null
+++ b/srcpkgs/rtl8822bu-dkms/template
@@ -0,0 +1,27 @@
+# Template file for 'rtl8822bu-dkms'
+pkgname=rtl8822bu-dkms
+version=20190427
+revision=1
+_gitrev=dbbf4f7c3527f1bff38054349f01a4a8438db0f4
+archs=noarch
+wrksrc="rtl8822bu-${_gitrev}"
+depends="dkms"
+short_desc="Realtek 8822BU USB WiFi driver (DKMS)"
+maintainer="Juan RP <xtraeme@voidlinux.org>"
+license="GPL-2.0-only"
+homepage="https://www.tp-link.com"
+distfiles="https://github.com/EntropicEffect/rtl8822bu/archive/${_gitrev}.tar.gz"
+checksum=96bd6dcf9a285fb7ebac7575bc1e8a28577c200dc1c7ec2abae4005181ef0de5
+dkms_modules="88x2bu ${version}"
+
+do_install() {
+	vmkdir /usr/src/88x2bu-${version}
+	vcopy "*" usr/src/88x2bu-${version}
+	vinstall ${FILESDIR}/dkms.conf 644 usr/src/88x2bu-${version}
+	sed -i -e "s/@VERSION@/${version}-${revision}/" ${PKGDESTDIR}/usr/src/88x2bu-${version}/dkms.conf
+
+	# modules-load.d(5) file.
+	vmkdir usr/lib/modules-load.d
+	echo "88x2bu" > ${DESTDIR}/usr/lib/modules-load.d/88x2bu.conf
+	chmod 644 ${DESTDIR}/usr/lib/modules-load.d/88x2bu.conf
+}
